{% extends "easy_pdf/base.html" %}


{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter landscape;
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context %}
        <div style="padding-top: 1em;">
            <div align="center" style="border: dashed;line-height: 20px">
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">CONSOLIDATED ATTENDANCE REPORT</span><br>
                <span style="font-size: 1.3em;"><strong>DURATION</strong> : {{ context.current_start_date|date:"d-m-Y" }} to {{ context.current_end_date|date:"d-m-Y" }}</span><br>
            </div>
        </div>
        <table border="1" style="border-width: thin;padding-top: 30%">
            <thead>
            <tr>
                <td align="center" style="font-weight: bold;font-size: large;">S.No.</td>
                <td align="center" style="font-weight: bold;font-size: large;">Roll Number</td>
                <td align="center" style="font-weight: bold;font-size: large;">Name</td>
                <td align="center" style="font-weight: bold;font-size: large;">Total days</td>
                <td align="center" style="font-weight: bold;font-size: large;">Present days</td>
                <td align="center" style="font-weight: bold;font-size: large;">Absent days</td>
                <td align="center" style="font-weight: bold;font-size: large;">%</td>
            </tr>
            </thead>
            <tbody>

            {% for result in context.final_result %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ result.student_instance.roll_no }}</td>
                    <td style="padding-left: 5px">{{ result.student_instance }}</td>
                    <td align="center">{{ result.total_days }}</td>
                    <td align="center">{{ result.present_days }}</td>
                    <td align="center">{{ result.absent_days }}</td>
                    <td align="center">{{ result.percentage }}</td>
                </tr>
            {% endfor %}
            </tbody>

        </table>
    {% endif %}
    <br>
    <br>
    <br>
    <br>
    <br>
    <table>
        <tr>
            <div style="width: 50%">
                <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty In-charge of the
                    Course</strong>
                </td>
            </div>
            <div style="width: 50%">
                <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department of
                    the Faculty-Incharge of the Course</strong>
                </td>
            </div>
        </tr>
    </table>
    <br><br><br><br>
    <table>
        <tr>
            <div style="width: 33%">
                <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty Advisor</strong>
                </td>
            </div>
            <div style="width: 33%">
                <td align="center" style="font-stretch: expanded;font-size: large"><strong>Programme
                    Co-ordinator</strong>
                </td>
            </div>
            <div style="width: 33%">
                <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department of
                    the student</strong>
                </td>
            </div>
        </tr>
    </table>
{% endblock %}